#include <errno.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

typedef enum {
   HTTP,
   FTP,
   DISK
} GeedotTransferProtocol;

typedef enum {
   False,
   True
} Bool;

GeedotTransferProtocol extract_transfer_protocol (char *);

int gdot_extract_port_from_url (char *);
int gdot_http_get (char **, char **, char *);

void gdot_extract_remote_host_from_url (char **, char *);
void gdot_extract_path_from_url (char **, char *);
void gdot_http_send_req (int, char **, char **, char *);
