/* http_req.c - send http request to hosts */

#include "gdhttp.h"

void http_req (int sockfd, char **header, char **ret_data, char *request) {
   int size, numbytes, hdrbytes, hdrlnnum, strloc;
   char *buf, *header_line;
   Bool is_header;

   is_header = True;
   hdrlnnum = 0;
   numbytes = 0;

   buf = (char *) malloc(32 * sizeof(char));

   header_line = (char *) malloc(1 * sizeof(char));
   *header_line = '\0';

   *header = (char *) malloc(1 * sizeof(char));
   **header = '\0';
   *ret_data = (char *) malloc(1 * sizeof(char));
   **ret_data = '\0';

   write(sockfd, request, strlen(request) + 1);

   do {
      if (is_header) {
	 size = read(sockfd, buf, 1);
	 buf[size] = '\0';
	 if (*buf != '\r') {
	    numbytes += size;
	    if (*buf == '\n') {
	       if (*header_line == '\0') {
		  *header = (char *) realloc(*header, (numbytes + 1) * sizeof(char));
		  strcat(*header, "\n");
		  free(header_line);
		  is_header = False;
	       }
	       else {
		  *header = (char *) realloc(*header, (numbytes + 1) * sizeof(char));
		  strcat(*header, header_line);
		  strcat(*header, "\n");
		  header_line = (char *) realloc(header_line, 1 * sizeof(char));
		  *header_line = '\0';
	       }
	    }
	    else {
	       header_line = (char *) realloc(header_line, (numbytes + 1) * sizeof(char));
	       strcat(header_line, buf);
	    }
	 }
      }
      else {
	 size = read(sockfd, buf, 16);
	 buf[size] = '\0';
	 numbytes += size;
	 *ret_data = (char *) realloc(*ret_data, (numbytes + 1) * sizeof(char));
	 strcat(*ret_data, buf);
      }
   } while (size != 0);
}
